cifti::CiftiMappingType Class Referenceabstract
Inheritance diagram for cifti::CiftiMappingType:
[legend]

## Public Types

enum | MappingType { BRAIN_MODELS , PARCELS , SERIES , SCALARS , LABELS }

## Public Member Functions

virtual CiftiMappingType * | clone () const =0
virtual MappingType | getType () const =0
virtual int64_t | getLength () const =0
virtual bool | operator== (const CiftiMappingType &rhs) const =0
bool | operator!= (const CiftiMappingType &rhs) const
virtual bool | approximateMatch (const CiftiMappingType &rhs, AString *explanation=NULL) const =0
virtual void | readXML1 (XmlReader &xml)=0
virtual void | readXML2 (XmlReader &xml)=0
virtual void | writeXML1 (XmlWriter &xml) const =0
virtual void | writeXML2 (XmlWriter &xml) const =0

## Static Public Member Functions

static AString | mappingTypeToName (const MappingType &type)

The documentation for this class was generated from the following files:

- CiftiMappingType.h
- CiftiMappingType.cxx